summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_maintainance.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-03-21 11:03:51 +0100
committerHolger Levsen <holger@layer-acht.org>2015-03-21 11:03:51 +0100
commitf1c5e2112fb389989d22ef44a480b907c047d265 (patch)
tree4bb7b07ed8bda0c2cdd29a374b95d768f58409e5 /bin/reproducible_maintainance.sh
parentefa8e62a7bd94126fd18871bdd9b8ae201a0709f (diff)
downloadjenkins.debian.net-f1c5e2112fb389989d22ef44a480b907c047d265.tar.xz
reproducible: also detect network failures 'Cannot initiate the connection'
Diffstat (limited to 'bin/reproducible_maintainance.sh')
-rwxr-xr-xbin/reproducible_maintainance.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/reproducible_maintainance.sh b/bin/reproducible_maintainance.sh
index 2a8ee1e1..c1ea8942 100755
--- a/bin/reproducible_maintainance.sh
+++ b/bin/reproducible_maintainance.sh
@@ -89,7 +89,7 @@ fi
# only grep through the last 5h (300 minutes) of builds...
# (ignore "*None.rbuild.log" because these are build which were just started)
# this job runs every 4h
-FAILED_BUILDS=$(find /var/lib/jenkins/userContent/rbuild -type f ! -name "*None.rbuild.log" ! -mmin +300 -exec egrep -l -e "E: Failed to fetch.*Connection failed" -e "E: Failed to fetch.*Size mismatch" {} \; || true)
+FAILED_BUILDS=$(find /var/lib/jenkins/userContent/rbuild -type f ! -name "*None.rbuild.log" ! -mmin +300 -exec egrep -l -e 'E: Failed to fetch.*(Connection failed|Size mismatch|Cannot initiate the connection to)' {} \; || true)
if [ ! -z "$FAILED_BUILDS" ] ; then
echo
echo "Warning: the following failed builds have been found"